<?php
	//THIS FILE CHECKS IF A USER IS LOGGED IN. USED ON PUBLIC PAGES
	if(!isset($_SESSION)){
		session_start();
	}
	
	if($_SERVER['REQUEST_URI'] != "/admin/interactions.php"){
		$_SESSION['returnURL'] = $_SERVER['REQUEST_URI'];
	}
	
	if(isset($_SESSION['LoggedIn']) && isset($_SESSION['Username']) && $_SESSION['LoggedIn'] == 1){
		$loggedIn = true;
	}else{
		$loggedIn = false;
	}
?>
<?php require_once($_SERVER['DOCUMENT_ROOT'] . '/common/constants.php'); ?>